## WebKitWebPage WebKitWebPage |

## Functions

WebKitDOMDocument * | webkit_web_page_get_dom_document ()
guint64 | webkit_web_page_get_id ()
const gchar * | webkit_web_page_get_uri ()
WebKitFrame * | webkit_web_page_get_main_frame ()

## Properties

gchar * | uri | Read

## Signals

void | document-loaded | Run Last
gboolean | send-request | Run Last

## Types and Values

struct | WebKitWebPage

## Object Hierarchy

        GObject
        ╰── WebKitWebPage

## Description

## Functions

### webkit_web_page_get_dom_document ()

    WebKitDOMDocument *
    webkit_web_page_get_dom_document (WebKitWebPage *web_page);

Get the WebKitDOMDocument currently loaded in `web_page`

#### Parameters

web_page | a WebKitWebPage |

#### Returns

the WebKitDOMDocument currently loaded, or `NULL` if no document is currently loaded.

[transfer none]

### webkit_web_page_get_id ()

    guint64
    webkit_web_page_get_id (WebKitWebPage *web_page);

Get the identifier of the WebKitWebPage

#### Parameters

web_page | a WebKitWebPage |

#### Returns

the identifier of `web_page`

### webkit_web_page_get_uri ()

    const gchar *
    webkit_web_page_get_uri (WebKitWebPage *web_page);

Returns the current active URI of `web_page` .

You can monitor the active URI by connecting to the notify::uri signal of `web_page` .

#### Parameters

web_page | a WebKitWebPage |

#### Returns

the current active URI of `web_view` or `NULL` if nothing has been loaded yet.

### webkit_web_page_get_main_frame ()

    WebKitFrame *
    webkit_web_page_get_main_frame (WebKitWebPage *web_page);

Returns the main frame of a WebKitWebPage.

#### Parameters

web_page | a WebKitWebPage |

#### Returns

the WebKitFrame that is the main frame of `web_page` .

[transfer none]

Since 2.2

## Types and Values

### struct WebKitWebPage

    struct WebKitWebPage;

## Property Details

### The `“uri”` property

      “uri”                      gchar *

The current active URI of the WebKitWebPage.

Flags: Read

Default value: NULL

## Signal Details

### The `“document-loaded”` signal

    void
    user_function (WebKitWebPage *web_page,
                   gpointer       user_data)

This signal is emitted when the DOM document of a WebKitWebPage has been loaded.

You can wait for this signal to get the DOM document with `webkit_web_page_get_dom_document()`.

#### Parameters

web_page | the WebKitWebPage on which the signal is emitted |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“send-request”` signal

    gboolean
    user_function (WebKitWebPage     *web_page,
                   WebKitURIRequest  *request,
                   WebKitURIResponse *redirected_response,
                   gpointer           user_data)

This signal is emitted when `request` is about to be sent to the server. This signal can be used to modify the WebKitURIRequest that will be sent to the server. You can also cancel the resource load operation by connecting to this signal and returning `TRUE`.

In case of a server redirection this signal is emitted again with the `request` argument containing the new request to be sent to the server due to the redirection and the `redirected_response` parameter containing the response received by the server for the initial request.

#### Parameters

web_page | the WebKitWebPage on which the signal is emitted |
request | a WebKitURIRequest |
redirected_response | a WebKitURIResponse, or `NULL` |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` to stop other handlers from being invoked for the event. `FALSE` to continue emission of the event.

Flags: Run Last